diff --git a/sys/dev/netif/age/if_age.c b/sys/dev/netif/age/if_age.c
index 8b53a968a9..97f000b5ed 100644
--- a/sys/dev/netif/age/if_age.c
+++ b/sys/dev/netif/age/if_age.c
@@ -814,7 +814,6 @@ age_dma_alloc(struct age_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    lowaddr,			/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -832,7 +831,6 @@ age_dma_alloc(struct age_softc *sc)
 	    AGE_TX_RING_ALIGN, 0,	/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    AGE_TX_RING_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    AGE_TX_RING_SZ,		/* maxsegsize */
@@ -850,7 +848,6 @@ age_dma_alloc(struct age_softc *sc)
 	    AGE_RX_RING_ALIGN, 0,	/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    AGE_RX_RING_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    AGE_RX_RING_SZ,		/* maxsegsize */
@@ -868,7 +865,6 @@ age_dma_alloc(struct age_softc *sc)
 	    AGE_RR_RING_ALIGN, 0,	/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    AGE_RR_RING_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    AGE_RR_RING_SZ,		/* maxsegsize */
@@ -886,7 +882,6 @@ age_dma_alloc(struct age_softc *sc)
 	    AGE_CMB_ALIGN, 0,		/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    AGE_CMB_BLOCK_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    AGE_CMB_BLOCK_SZ,		/* maxsegsize */
@@ -904,7 +899,6 @@ age_dma_alloc(struct age_softc *sc)
 	    AGE_SMB_ALIGN, 0,		/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    AGE_SMB_BLOCK_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    AGE_SMB_BLOCK_SZ,		/* maxsegsize */
@@ -1041,7 +1035,6 @@ age_dma_alloc(struct age_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -1059,7 +1052,6 @@ age_dma_alloc(struct age_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    AGE_TSO_MAXSIZE,		/* maxsize */
 	    AGE_MAXTXSEGS,		/* nsegments */
 	    AGE_TSO_MAXSEGSIZE,		/* maxsegsize */
@@ -1076,7 +1068,6 @@ age_dma_alloc(struct age_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    MCLBYTES,			/* maxsize */
 	    1,				/* nsegments */
 	    MCLBYTES,			/* maxsegsize */
diff --git a/sys/dev/netif/alc/if_alc.c b/sys/dev/netif/alc/if_alc.c
index 59c97d95cb..8d85f1ee44 100644
--- a/sys/dev/netif/alc/if_alc.c
+++ b/sys/dev/netif/alc/if_alc.c
@@ -1899,7 +1899,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -1917,7 +1916,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    ALC_TX_RING_ALIGN, 0,	/* alignment, boundary */
 	    BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALC_TX_RING_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    ALC_TX_RING_SZ,		/* maxsegsize */
@@ -1935,7 +1933,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    ALC_RX_RING_ALIGN, 0,	/* alignment, boundary */
 	    BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALC_RX_RING_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    ALC_RX_RING_SZ,		/* maxsegsize */
@@ -1952,7 +1949,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    ALC_RR_RING_ALIGN, 0,	/* alignment, boundary */
 	    BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALC_RR_RING_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    ALC_RR_RING_SZ,		/* maxsegsize */
@@ -1970,7 +1966,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    ALC_CMB_ALIGN, 0,		/* alignment, boundary */
 	    BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALC_CMB_SZ,			/* maxsize */
 	    1,				/* nsegments */
 	    ALC_CMB_SZ,			/* maxsegsize */
@@ -1987,7 +1982,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    ALC_SMB_ALIGN, 0,		/* alignment, boundary */
 	    BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALC_SMB_SZ,			/* maxsize */
 	    1,				/* nsegments */
 	    ALC_SMB_SZ,			/* maxsegsize */
@@ -2137,7 +2131,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -2155,7 +2148,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALC_TSO_MAXSIZE,		/* maxsize */
 	    ALC_MAXTXSEGS,		/* nsegments */
 	    ALC_TSO_MAXSEGSIZE,		/* maxsegsize */
@@ -2172,7 +2164,6 @@ alc_dma_alloc(struct alc_softc *sc)
 	    ALC_RX_BUF_ALIGN, 0,	/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    MCLBYTES,			/* maxsize */
 	    1,				/* nsegments */
 	    MCLBYTES,			/* maxsegsize */
diff --git a/sys/dev/netif/ale/if_ale.c b/sys/dev/netif/ale/if_ale.c
index 860264e87d..dd4ca7957b 100644
--- a/sys/dev/netif/ale/if_ale.c
+++ b/sys/dev/netif/ale/if_ale.c
@@ -946,7 +946,6 @@ ale_dma_alloc(struct ale_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    lowaddr,			/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -964,7 +963,6 @@ ale_dma_alloc(struct ale_softc *sc)
 	    ALE_TX_RING_ALIGN, 0,	/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALE_TX_RING_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    ALE_TX_RING_SZ,		/* maxsegsize */
@@ -983,7 +981,6 @@ ale_dma_alloc(struct ale_softc *sc)
 		    ALE_RX_PAGE_ALIGN, 0,	/* alignment, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    sc->ale_pagesize,		/* maxsize */
 		    1,				/* nsegments */
 		    sc->ale_pagesize,		/* maxsegsize */
@@ -1002,7 +999,6 @@ ale_dma_alloc(struct ale_softc *sc)
 	    ALE_CMB_ALIGN, 0,		/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALE_TX_CMB_SZ,		/* maxsize */
 	    1,				/* nsegments */
 	    ALE_TX_CMB_SZ,		/* maxsegsize */
@@ -1021,7 +1017,6 @@ ale_dma_alloc(struct ale_softc *sc)
 		    ALE_CMB_ALIGN, 0,		/* alignment, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    ALE_RX_CMB_SZ,		/* maxsize */
 		    1,				/* nsegments */
 		    ALE_RX_CMB_SZ,		/* maxsegsize */
@@ -1155,7 +1150,6 @@ ale_dma_alloc(struct ale_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -1173,7 +1167,6 @@ ale_dma_alloc(struct ale_softc *sc)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    ALE_TSO_MAXSIZE,		/* maxsize */
 	    ALE_MAXTXSEGS,		/* nsegments */
 	    ALE_TSO_MAXSEGSIZE,		/* maxsegsize */
diff --git a/sys/dev/netif/ath/ath/if_ath_ahb.c b/sys/dev/netif/ath/ath/if_ath_ahb.c
index 4560e93787..6758070876 100644
--- a/sys/dev/netif/ath/ath/if_ath_ahb.c
+++ b/sys/dev/netif/ath/ath/if_ath_ahb.c
@@ -259,7 +259,10 @@ ath_ahb_attach(device_t dev)
 #endif
 			       BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			       BUS_SPACE_MAXADDR,	/* highaddr */
+#if defined(__DragonFly__)
+#else
 			       NULL, NULL,		/* filter, filterarg */
+#endif
 			       0x3ffff,			/* maxsize XXX */
 			       ATH_MAX_SCATTER,		/* nsegments */
 			       0x3ffff,			/* maxsegsize XXX */
diff --git a/sys/dev/netif/ath/ath/if_ath_descdma.c b/sys/dev/netif/ath/ath/if_ath_descdma.c
index 50cac14129..a645a6bb14 100644
--- a/sys/dev/netif/ath/ath/if_ath_descdma.c
+++ b/sys/dev/netif/ath/ath/if_ath_descdma.c
@@ -184,7 +184,10 @@ ath_descdma_alloc_desc(struct ath_softc *sc,
 		       PAGE_SIZE, 0,		/* alignment, bounds */
 		       BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 		       BUS_SPACE_MAXADDR,	/* highaddr */
+#if defined(__DragonFly__)
+#else
 		       NULL, NULL,		/* filter, filterarg */
+#endif
 		       dd->dd_desc_len,		/* maxsize */
 		       1,			/* nsegments */
 		       dd->dd_desc_len,		/* maxsegsize */
diff --git a/sys/dev/netif/ath/ath/if_ath_pci.c b/sys/dev/netif/ath/ath/if_ath_pci.c
index d365937e58..2cfed307f4 100644
--- a/sys/dev/netif/ath/ath/if_ath_pci.c
+++ b/sys/dev/netif/ath/ath/if_ath_pci.c
@@ -331,7 +331,10 @@ ath_pci_attach(device_t dev)
 #endif
 			       BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			       BUS_SPACE_MAXADDR,	/* highaddr */
+#if defined(__DragonFly__)
+#else
 			       NULL, NULL,		/* filter, filterarg */
+#endif
 			       0x3ffff,			/* maxsize XXX */
 			       ATH_MAX_SCATTER,		/* nsegments */
 			       0x3ffff,			/* maxsegsize XXX */
diff --git a/sys/dev/netif/bce/if_bce.c b/sys/dev/netif/bce/if_bce.c
index aa856882cc..11cdedc5ec 100644
--- a/sys/dev/netif/bce/if_bce.c
+++ b/sys/dev/netif/bce/if_bce.c
@@ -2132,7 +2132,7 @@ bce_create_tx_ring(struct bce_tx_ring *txr)
 	 * physical address of the block.
 	 */
 	rc = bus_dma_tag_create(txr->sc->parent_tag, BCM_PAGE_SIZE, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    BCE_TX_CHAIN_PAGE_SZ, 1, BCE_TX_CHAIN_PAGE_SZ,
 	    0, &txr->tx_bd_chain_tag);
 	if (rc != 0) {
@@ -2181,7 +2181,7 @@ bce_create_tx_ring(struct bce_tx_ring *txr)
 
 	/* Create a DMA tag for TX mbufs. */
 	rc = bus_dma_tag_create(txr->sc->parent_tag, 1, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    IP_MAXPACKET + sizeof(struct ether_vlan_header),
 	    BCE_MAX_SEGMENTS, PAGE_SIZE,
 	    BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK | BUS_DMA_ONEBPAGE,
@@ -2246,7 +2246,7 @@ bce_create_rx_ring(struct bce_rx_ring *rxr)
 	 * address of the blocks.
 	 */
 	rc = bus_dma_tag_create(rxr->sc->parent_tag, BCM_PAGE_SIZE, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    BCE_RX_CHAIN_PAGE_SZ, 1, BCE_RX_CHAIN_PAGE_SZ,
 	    0, &rxr->rx_bd_chain_tag);
 	if (rc != 0) {
@@ -2296,7 +2296,7 @@ bce_create_rx_ring(struct bce_rx_ring *rxr)
 
 	/* Create a DMA tag for RX mbufs. */
 	rc = bus_dma_tag_create(rxr->sc->parent_tag, BCE_DMA_RX_ALIGN, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    MCLBYTES, 1, MCLBYTES,
 	    BUS_DMA_ALLOCNOW | BUS_DMA_ALIGNED | BUS_DMA_WAITOK,
 	    &rxr->rx_mbuf_tag);
@@ -2418,7 +2418,6 @@ bce_dma_alloc(struct bce_softc *sc)
 	 */
 	rc = bus_dma_tag_create(NULL, 1, BCE_DMA_BOUNDARY,
 				max_busaddr, BUS_SPACE_MAXADDR,
-				NULL, NULL,
 				BUS_SPACE_MAXSIZE_32BIT, 0,
 				BUS_SPACE_MAXSIZE_32BIT,
 				0, &sc->parent_tag);
@@ -2459,7 +2458,6 @@ bce_dma_alloc(struct bce_softc *sc)
 	if (sc->ctx_pages != 0) {
 		rc = bus_dma_tag_create(sc->parent_tag, BCM_PAGE_SIZE, 0,
 					BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-					NULL, NULL,
 					BCM_PAGE_SIZE, 1, BCM_PAGE_SIZE,
 					0, &sc->ctx_tag);
 		if (rc != 0) {
diff --git a/sys/dev/netif/bfe/if_bfe.c b/sys/dev/netif/bfe/if_bfe.c
index 8d40932b5e..4e0bf61351 100644
--- a/sys/dev/netif/bfe/if_bfe.c
+++ b/sys/dev/netif/bfe/if_bfe.c
@@ -194,7 +194,6 @@ bfe_dma_alloc(device_t dev)
 			1, 0,                     /* alignment, boundary */
 			BFE_BUS_SPACE_MAXADDR,    /* lowaddr */
 			BUS_SPACE_MAXADDR,        /* highaddr */
-			NULL, NULL,               /* filter, filterarg */
 			BUS_SPACE_MAXSIZE_32BIT,  /* maxsize */
 			0,                        /* num of segments */
 			BUS_SPACE_MAXSIZE_32BIT,  /* max segment size */
@@ -236,7 +235,6 @@ bfe_dma_alloc(device_t dev)
 	/* Tag for RX mbufs */
 	error = bus_dma_tag_create(sc->bfe_parent_tag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   MCLBYTES, 1, MCLBYTES,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK,
 				   &sc->bfe_rxbuf_tag);
@@ -269,7 +267,6 @@ bfe_dma_alloc(device_t dev)
 	/* Tag for TX mbufs */
 	error = bus_dma_tag_create(sc->bfe_parent_tag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   MCLBYTES, BFE_MAXSEGS, MCLBYTES,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK,
 				   &sc->bfe_txbuf_tag);
diff --git a/sys/dev/netif/bge/if_bge.c b/sys/dev/netif/bge/if_bge.c
index dcf0f10165..0b9fd308e4 100644
--- a/sys/dev/netif/bge/if_bge.c
+++ b/sys/dev/netif/bge/if_bge.c
@@ -4342,7 +4342,6 @@ bge_dma_alloc(struct bge_softc *sc)
 	 */
 	error = bus_dma_tag_create(NULL, 1, BGE_DMA_BOUNDARY_4G,
 				   lowaddr, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   BUS_SPACE_MAXSIZE_32BIT, 0,
 				   BUS_SPACE_MAXSIZE_32BIT,
 				   0, &sc->bge_cdata.bge_parent_tag);
@@ -4356,7 +4355,7 @@ bge_dma_alloc(struct bge_softc *sc)
 	 */
 	error = bus_dma_tag_create(sc->bge_cdata.bge_parent_tag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL, MCLBYTES, 1, MCLBYTES,
+				   MCLBYTES, 1, MCLBYTES,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK,
 				   &sc->bge_cdata.bge_rx_mtag);
 	if (error) {
@@ -4400,7 +4399,6 @@ bge_dma_alloc(struct bge_softc *sc)
 		txmaxsz = BGE_JUMBO_FRAMELEN;
 	error = bus_dma_tag_create(sc->bge_cdata.bge_parent_tag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   txmaxsz, BGE_NSEG_NEW, PAGE_SIZE,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK |
 				   BUS_DMA_ONEBPAGE,
diff --git a/sys/dev/netif/bnx/if_bnx.c b/sys/dev/netif/bnx/if_bnx.c
index 5e0b66f69d..05c15719cc 100644
--- a/sys/dev/netif/bnx/if_bnx.c
+++ b/sys/dev/netif/bnx/if_bnx.c
@@ -4163,7 +4163,7 @@ bnx_dma_alloc(device_t dev)
 	 * state machine will lockup and cause the device to hang.
 	 */
 	error = bus_dma_tag_create(NULL, 1, BGE_DMA_BOUNDARY_4G,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    BUS_SPACE_MAXSIZE_32BIT, 0, BUS_SPACE_MAXSIZE_32BIT,
 	    0, &sc->bnx_cdata.bnx_parent_tag);
 	if (error) {
@@ -4201,7 +4201,7 @@ bnx_dma_alloc(device_t dev)
 	lwkt_serialize_init(&std->bnx_rx_std_serialize);
 	error = bus_dma_tag_create(sc->bnx_cdata.bnx_parent_tag, 1, 0,
 	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-	    NULL, NULL, MCLBYTES, 1, MCLBYTES,
+	    MCLBYTES, 1, MCLBYTES,
 	    BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK, &std->bnx_rx_mtag);
 	if (error) {
 		device_printf(dev, "could not create RX mbuf DMA tag\n");
@@ -5193,7 +5193,7 @@ bnx_create_tx_ring(struct bnx_tx_ring *txr)
 	else
 		txmaxsegsz = PAGE_SIZE;
 	error = bus_dma_tag_create(txr->bnx_sc->bnx_cdata.bnx_parent_tag,
-	    1, 0, BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    1, 0, BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    txmaxsz, BNX_NSEG_NEW, txmaxsegsz,
 	    BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK | BUS_DMA_ONEBPAGE,
 	    &txr->bnx_tx_mtag);
diff --git a/sys/dev/netif/bwn/bwn/if_bwn.c b/sys/dev/netif/bwn/bwn/if_bwn.c
index b5f267cf9c..65ddb6ee9e 100644
--- a/sys/dev/netif/bwn/bwn/if_bwn.c
+++ b/sys/dev/netif/bwn/bwn/if_bwn.c
@@ -2810,7 +2810,9 @@ bwn_dma_ringsetup(struct bwn_mac *mac, int controller_index,
 				    1, 0,
 				    BUS_SPACE_MAXADDR,
 				    BUS_SPACE_MAXADDR,
+#if !defined(__DragonFly__)
 				    NULL, NULL,
+#endif
 				    BWN_HDRSIZE(mac),
 				    1,
 				    BUS_SPACE_MAXSIZE_32BIT,
@@ -3120,7 +3122,9 @@ bwn_dma_allocringmemory(struct bwn_dma_ring *dr)
 			    BWN_ALIGN, 0,
 			    BUS_SPACE_MAXADDR,
 			    BUS_SPACE_MAXADDR,
+#if !defined(__DragonFly__)
 			    NULL, NULL,
+#endif
 			    BWN_DMA_RINGMEMSIZE,
 			    1,
 			    BUS_SPACE_MAXSIZE_32BIT,
@@ -6952,7 +6956,9 @@ bwn_dma_attach(struct bwn_mac *mac)
 			       BWN_ALIGN, 0,		/* alignment, bounds */
 			       lowaddr,			/* lowaddr */
 			       BUS_SPACE_MAXADDR,	/* highaddr */
+#if !defined(__DragonFly__)
 			       NULL, NULL,		/* filter, filterarg */
+#endif
 			       BUS_SPACE_MAXSIZE,	/* maxsize */
 			       BUS_SPACE_UNRESTRICTED,	/* nsegments */
 			       BUS_SPACE_MAXSIZE,	/* maxsegsize */
@@ -6974,7 +6980,9 @@ bwn_dma_attach(struct bwn_mac *mac)
 				0,
 				BUS_SPACE_MAXADDR,
 				BUS_SPACE_MAXADDR,
+#if !defined(__DragonFly__)
 				NULL, NULL,
+#endif
 				MCLBYTES,
 				1,
 				BUS_SPACE_MAXSIZE_32BIT,
@@ -6992,7 +7000,9 @@ bwn_dma_attach(struct bwn_mac *mac)
 				0,
 				BUS_SPACE_MAXADDR,
 				BUS_SPACE_MAXADDR,
+#if !defined(__DragonFly__)
 				NULL, NULL,
+#endif
 				MCLBYTES,
 				1,
 				BUS_SPACE_MAXSIZE_32BIT,
diff --git a/sys/dev/netif/de/if_de.c b/sys/dev/netif/de/if_de.c
index b5b4f8e272..b81b228663 100644
--- a/sys/dev/netif/de/if_de.c
+++ b/sys/dev/netif/de/if_de.c
@@ -3916,7 +3916,7 @@ tulip_busdma_allocring(device_t dev, tulip_softc_t *sc, size_t count,
     size = count * sizeof(tulip_desc_t);
     error = bus_dma_tag_create(bus_get_dma_tag(dev),
 	32, 0, BUS_SPACE_MAXADDR_32BIT,
-	BUS_SPACE_MAXADDR, NULL, NULL, size, 1, size, 0, &ri->ri_ring_tag);
+	BUS_SPACE_MAXADDR, size, 1, size, 0, &ri->ri_ring_tag);
     if (error) {
 	device_printf(dev, "failed to allocate %s descriptor ring dma tag\n",
 	    name);
@@ -3943,7 +3943,7 @@ tulip_busdma_allocring(device_t dev, tulip_softc_t *sc, size_t count,
 
     /* Allocate a tag for the data buffers. */
     error = bus_dma_tag_create(bus_get_dma_tag(dev), align, 0,
-	BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	MCLBYTES * nsegs, nsegs, MCLBYTES, 0, &ri->ri_data_tag);
     if (error) {
 	device_printf(dev, "failed to allocate %s buffer dma tag\n", name);
@@ -4021,7 +4021,7 @@ tulip_busdma_init(device_t dev, tulip_softc_t *sc)
      * Allocate a DMA tag, memory, and map for setup descriptor
      */
     error = bus_dma_tag_create(bus_get_dma_tag(dev), 32, 0,
-	BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	sizeof(sc->tulip_setupdata), 1, sizeof(sc->tulip_setupdata), 0,
 	&sc->tulip_setup_tag);
     if (error) {
diff --git a/sys/dev/netif/em/if_em.c b/sys/dev/netif/em/if_em.c
index c1af559f01..c8885b6b2e 100644
--- a/sys/dev/netif/em/if_em.c
+++ b/sys/dev/netif/em/if_em.c
@@ -727,7 +727,6 @@ em_attach(device_t dev)
 	 */
 	error = bus_dma_tag_create(NULL, 1, 0,
 			BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-			NULL, NULL,
 			BUS_SPACE_MAXSIZE_32BIT, 0, BUS_SPACE_MAXSIZE_32BIT,
 			0, &adapter->parent_dtag);
 	if (error) {
@@ -2918,7 +2917,6 @@ em_create_tx_ring(struct adapter *adapter)
 			1, 0,			/* alignment, bounds */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			EM_TSO_SIZE,		/* maxsize */
 			EM_MAX_SCATTER,		/* nsegments */
 			PAGE_SIZE,		/* maxsegsize */
@@ -3424,7 +3422,6 @@ em_create_rx_ring(struct adapter *adapter)
 			1, 0,			/* alignment, bounds */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			MCLBYTES,		/* maxsize */
 			1,			/* nsegments */
 			MCLBYTES,		/* maxsegsize */
diff --git a/sys/dev/netif/emx/if_emx.c b/sys/dev/netif/emx/if_emx.c
index 884f258466..3289b064ff 100644
--- a/sys/dev/netif/emx/if_emx.c
+++ b/sys/dev/netif/emx/if_emx.c
@@ -2375,7 +2375,6 @@ emx_create_tx_ring(struct emx_txdata *tdata)
 			1, 0,			/* alignment, bounds */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			EMX_TSO_SIZE,		/* maxsize */
 			EMX_MAX_SCATTER,	/* nsegments */
 			EMX_MAX_SEGSIZE,	/* maxsegsize */
@@ -2993,7 +2992,6 @@ emx_create_rx_ring(struct emx_rxdata *rdata)
 			1, 0,			/* alignment, bounds */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			MCLBYTES,		/* maxsize */
 			1,			/* nsegments */
 			MCLBYTES,		/* maxsegsize */
@@ -4080,7 +4078,6 @@ emx_dma_alloc(struct emx_softc *sc)
 	 */
 	error = bus_dma_tag_create(NULL, 1, 0,
 			BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-			NULL, NULL,
 			BUS_SPACE_MAXSIZE_32BIT, 0, BUS_SPACE_MAXSIZE_32BIT,
 			0, &sc->parent_dtag);
 	if (error) {
diff --git a/sys/dev/netif/et/if_et.c b/sys/dev/netif/et/if_et.c
index 13501b5cd6..60c3bbcb83 100644
--- a/sys/dev/netif/et/if_et.c
+++ b/sys/dev/netif/et/if_et.c
@@ -700,7 +700,6 @@ et_dma_alloc(device_t dev)
 	error = bus_dma_tag_create(NULL, 1, 0,
 				   BUS_SPACE_MAXADDR,
 				   BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   BUS_SPACE_MAXSIZE_32BIT,
 				   0,
 				   BUS_SPACE_MAXSIZE_32BIT,
@@ -877,7 +876,6 @@ et_dma_mbuf_create(device_t dev)
 	 */
 	error = bus_dma_tag_create(sc->sc_dtag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   MCLBYTES, 1, MCLBYTES,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK,
 				   &sc->sc_rxbuf_dtag);
@@ -929,7 +927,6 @@ et_dma_mbuf_create(device_t dev)
 	 */
 	error = bus_dma_tag_create(sc->sc_dtag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   ET_JUMBO_FRAMELEN, ET_NSEG_MAX, MCLBYTES,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK |
 				   BUS_DMA_ONEBPAGE,
diff --git a/sys/dev/netif/igb/if_igb.c b/sys/dev/netif/igb/if_igb.c
index 5f0173ea37..00f68887b2 100644
--- a/sys/dev/netif/igb/if_igb.c
+++ b/sys/dev/netif/igb/if_igb.c
@@ -1774,7 +1774,7 @@ igb_alloc_rings(struct igb_softc *sc)
 	 * Create top level busdma tag
 	 */
 	error = bus_dma_tag_create(NULL, 1, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    BUS_SPACE_MAXSIZE_32BIT, 0, BUS_SPACE_MAXSIZE_32BIT, 0,
 	    &sc->parent_tag);
 	if (error) {
@@ -1909,7 +1909,6 @@ igb_create_tx_ring(struct igb_tx_ring *txr)
 	    1, 0,		/* alignment, bounds */
 	    BUS_SPACE_MAXADDR,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,	/* highaddr */
-	    NULL, NULL,		/* filter, filterarg */
 	    IGB_TSO_SIZE,	/* maxsize */
 	    IGB_MAX_SCATTER,	/* nsegments */
 	    PAGE_SIZE,		/* maxsegsize */
@@ -2304,7 +2303,6 @@ igb_create_rx_ring(struct igb_rx_ring *rxr)
 	    1, 0,		/* alignment, bounds */
 	    BUS_SPACE_MAXADDR,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,	/* highaddr */
-	    NULL, NULL,		/* filter, filterarg */
 	    MCLBYTES,		/* maxsize */
 	    1,			/* nsegments */
 	    MCLBYTES,		/* maxsegsize */
diff --git a/sys/dev/netif/iwi/if_iwi.c b/sys/dev/netif/iwi/if_iwi.c
index 68133e0349..c1c1b07e3e 100644
--- a/sys/dev/netif/iwi/if_iwi.c
+++ b/sys/dev/netif/iwi/if_iwi.c
@@ -580,7 +580,7 @@ iwi_alloc_cmd_ring(struct iwi_softc *sc, struct iwi_cmd_ring *ring, int count)
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(NULL, 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    count * IWI_CMD_DESC_SIZE, 1, count * IWI_CMD_DESC_SIZE,
 	    0 , &ring->desc_dmat);
 #else
@@ -649,7 +649,7 @@ iwi_alloc_tx_ring(struct iwi_softc *sc, struct iwi_tx_ring *ring, int count,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(NULL, 4, 0, BUS_SPACE_MAXADDR_32BIT,
-	    BUS_SPACE_MAXADDR, NULL, NULL, count * IWI_TX_DESC_SIZE, 1,
+	    BUS_SPACE_MAXADDR, count * IWI_TX_DESC_SIZE, 1,
 	    count * IWI_TX_DESC_SIZE, 0, &ring->desc_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
@@ -686,7 +686,7 @@ iwi_alloc_tx_ring(struct iwi_softc *sc, struct iwi_tx_ring *ring, int count,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(NULL, 1, 0, BUS_SPACE_MAXADDR_32BIT,
-	    BUS_SPACE_MAXADDR, NULL, NULL, MCLBYTES, IWI_MAX_NSEG,
+	    BUS_SPACE_MAXADDR, MCLBYTES, IWI_MAX_NSEG,
 	    MCLBYTES, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
@@ -800,7 +800,7 @@ iwi_alloc_rx_ring(struct iwi_softc *sc, struct iwi_rx_ring *ring, int count)
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(NULL, 1, 0, BUS_SPACE_MAXADDR_32BIT,
-	    BUS_SPACE_MAXADDR, NULL, NULL, MCLBYTES, 1, MCLBYTES,
+	    BUS_SPACE_MAXADDR, MCLBYTES, 1, MCLBYTES,
 	    0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
@@ -3141,7 +3141,7 @@ iwi_init_fw_dma(struct iwi_softc *sc, int size)
 		return 0;
 #if defined(__DragonFly__)
 	if (bus_dma_tag_create(NULL, 4, 0, BUS_SPACE_MAXADDR_32BIT,
-	    BUS_SPACE_MAXADDR, NULL, NULL, size, 1, size,
+	    BUS_SPACE_MAXADDR, size, 1, size,
 	    0, &sc->fw_dmat) != 0) {
 #else
 	if (bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
diff --git a/sys/dev/netif/iwm/if_iwm.c b/sys/dev/netif/iwm/if_iwm.c
index 402d25aca0..7a08403150 100644
--- a/sys/dev/netif/iwm/if_iwm.c
+++ b/sys/dev/netif/iwm/if_iwm.c
@@ -1001,7 +1001,6 @@ iwm_alloc_rx_ring(struct iwm_softc *sc, struct iwm_rx_ring *ring)
 				   0,
 				   BUS_SPACE_MAXADDR_32BIT,
 				   BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   IWM_RBUF_SIZE, 1, IWM_RBUF_SIZE,
 				   BUS_DMA_NOWAIT, &ring->data_dmat);
 #else
@@ -1153,7 +1152,6 @@ iwm_alloc_tx_ring(struct iwm_softc *sc, struct iwm_tx_ring *ring, int qid)
 				   0,
 				   BUS_SPACE_MAXADDR_32BIT,
 				   BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   maxsize, nsegments, maxsize,
 				   BUS_DMA_NOWAIT, &ring->data_dmat);
 #else
diff --git a/sys/dev/netif/iwn/if_iwn.c b/sys/dev/netif/iwn/if_iwn.c
index 3a93a21562..af5ed1c702 100644
--- a/sys/dev/netif/iwn/if_iwn.c
+++ b/sys/dev/netif/iwn/if_iwn.c
@@ -1797,7 +1797,7 @@ iwn_dma_contig_alloc(struct iwn_softc *sc, struct iwn_dma_info *dma,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), alignment,
-	    0, BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL, size,
+	    0, BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, size,
 	    1, size, 0, &dma->tag);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), alignment,
@@ -1932,7 +1932,7 @@ iwn_alloc_rx_ring(struct iwn_softc *sc, struct iwn_rx_ring *ring)
 	/* Create RX buffer DMA tag. */
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    IWN_RBUF_SIZE, 1, IWN_RBUF_SIZE, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
@@ -2084,7 +2084,7 @@ iwn_alloc_tx_ring(struct iwn_softc *sc, struct iwn_tx_ring *ring, int qid)
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL, MCLBYTES,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, MCLBYTES,
 	    IWN_MAX_SCATTER - 1, MCLBYTES, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
diff --git a/sys/dev/netif/ix/if_ix.c b/sys/dev/netif/ix/if_ix.c
index a3ef52e6bf..1307ae5a66 100644
--- a/sys/dev/netif/ix/if_ix.c
+++ b/sys/dev/netif/ix/if_ix.c
@@ -1939,7 +1939,7 @@ ix_alloc_rings(struct ix_softc *sc)
 	 * Create top level busdma tag
 	 */
 	error = bus_dma_tag_create(NULL, 1, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    BUS_SPACE_MAXSIZE_32BIT, 0, BUS_SPACE_MAXSIZE_32BIT, 0,
 	    &sc->parent_tag);
 	if (error) {
@@ -2047,7 +2047,6 @@ ix_create_tx_ring(struct ix_tx_ring *txr)
 	    1, 0,		/* alignment, bounds */
 	    BUS_SPACE_MAXADDR,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,	/* highaddr */
-	    NULL, NULL,		/* filter, filterarg */
 	    IX_TSO_SIZE,	/* maxsize */
 	    IX_MAX_SCATTER,	/* nsegments */
 	    PAGE_SIZE,		/* maxsegsize */
@@ -2469,7 +2468,6 @@ ix_create_rx_ring(struct ix_rx_ring *rxr)
 	    1, 0,		/* alignment, bounds */
 	    BUS_SPACE_MAXADDR,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,	/* highaddr */
-	    NULL, NULL,		/* filter, filterarg */
 	    PAGE_SIZE,		/* maxsize */
 	    1,			/* nsegments */
 	    PAGE_SIZE,		/* maxsegsize */
